# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(IO/Socket.pm) perl(Tk.pm) perl(sigtrap.pm) perl-devel perl-podlators
# END SourceDeps(oneline)
Name:           perl-Verilog-CodeGen
Version:        0.9.4
Release:        alt1_12
Summary:        Verilog code generator
License:        GPL+ or Artistic
Group:          Development/Perl
URL:            http://search.cpan.org/dist/Verilog-CodeGen/
Source0:        http://www.cpan.org/authors/id/W/WV/WVDB/Verilog-CodeGen-%{version}.tar.gz
BuildArch:      noarch

Patch0:         perl-Verilog-CodeGen-gui.patch

BuildRequires:  perl(ExtUtils/MakeMaker.pm)

Requires:       tkgate
Requires:       xemacs
Requires:       dia
Requires:       gtkwave
Requires:       iverilog
Source44: import.info


%description
Provides an object-oriented environment to generate Verilog code for
modules and testbenches. The Verilog::CodeGen module provides two
functions, one to create a code template and another to create a Perl
module which contains the device library. This module ,
DeviceLibs::YourDesign, provides the class methods and contains the objects
for every Verilog module; the objects are created based on a fixed
template. The purpose of this module is to allow the generation of
customized Verilog modules. A Verilog module can have a large number of
parameters like input and output bus width, buffer depth, signal delay etc.
The code generator allows to create an object that will generate the
Verilog module code for arbitraty values of the parameters.

%prep
%setup -q -n Verilog-CodeGen-%{version}

sed -i "s|/usr/bin/galeon --geometry=400x600+10+10|firefox|" scripts/GUI/inspect_code.pl

%patch0 -p0

%build
%{__perl} Makefile.PL INSTALLMAN1DIR=%_man1dir INSTALLDIRS=vendor
make %{?_smp_mflags}

%install

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

# %{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc Changes README
%doc scripts
%dir %{perl_vendor_privlib}/Verilog/
%dir %{perl_vendor_privlib}/Verilog/CodeGen
%{perl_vendor_privlib}/Verilog/CodeGen.pm
%{perl_vendor_privlib}/Verilog/CodeGen/Gui.pm

%changelog
* Mon Mar 04 2013 Igor Vlasenko <viy@altlinux.ru> 0.9.4-alt1_12
- update to new release by fcimport

* Tue Jul 31 2012 Igor Vlasenko <viy@altlinux.ru> 0.9.4-alt1_11
- update to new release by fcimport

* Wed May 23 2012 Igor Vlasenko <viy@altlinux.ru> 0.9.4-alt1_9
- fc import

